Subject: Re: HCI crash after tearing down ppp connection

From: Marcel Holtmann <[email-masked]>
Date: Wed, 28 Jan 2009 07:35:38 +0100

Hi Johannes,

> I use /dev/rfcomm0 to connect to my cell phone, and then to the internet
> with ppp. Occasionally (two out of the three times I used it today)
> after I poff the connection the machine locks up. The second time I got
> a log, but because my display resolution is bad it mostly scrolled off,
> so I only got to see that hci was involved somehow :/
> 
> Anyone aware of any such issue? This is on
> 2.6.29-rc2-wl-11979-gc32422d-dirty (-rc2 + wireless bits).

I was assuming we fixed these, but we might ended with a new one since
the TTY is changing a little bit and the Bluetooth TTYs are special
since they are pure virtual TTYs. Can you reproduce this crash every
time or is it happening only now and then?

During the last weeks, I am chasing an USB issue with the USB anchors
and how we use it. You might be hitting the one.

Regards

Marcel